Get user summary
curl --request GET \
--url https://api.select.dev/api/{organization_id}/users/{email} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.select.dev/api/{organization_id}/users/{email}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.select.dev/api/{organization_id}/users/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"name": "<string>",
"identity_provider": "<string>",
"roles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_default": false,
"granted_from_team_name": "<string>"
}
],
"team_memberships": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_name": "<string>",
"is_all_users_team": false
}
],
"last_login_at": "2023-11-07T05:31:56Z",
"last_activity_at": "2023-11-07T05:31:56Z",
"sso_groups": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}roles
Get user summary
Retrieve comprehensive information about a user
GET
/
api
/
{organization_id}
/
users
/
{email}
Get user summary
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Comprehensive user information including roles and team memberships.
The user's email address
The user's display name
The identity provider used for authentication
All direct access roles assigned to the user
Show child attributes
Show child attributes
Teams the user belongs to
Show child attributes
Show child attributes
When the user last logged in
When the user was last active
SSO groups from the user's last login
⌘I

